GHSA-m8wh-mqgf-rr8g

Suggest an improvement
Source
https://github.com/advisories/GHSA-m8wh-mqgf-rr8g
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/10/GHSA-m8wh-mqgf-rr8g/GHSA-m8wh-mqgf-rr8g.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-m8wh-mqgf-rr8g
Aliases
Published
2021-10-12T17:50:25Z
Modified
2023-11-08T04:05:15.948816Z
Severity
  • 6.7 (Medium) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Code injection in Kubernetes Java Client
Details

Loading specially-crafted yaml with the Kubernetes Java Client library can lead to code execution.

References

Affected packages

Maven / io.kubernetes:client-java

Package

Name
io.kubernetes:client-java
View open source insights on deps.dev
Purl
pkg:maven/io.kubernetes/client-java

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
11.0.1

Affected versions

0.*

0.1
0.2

1.*

1.0.0-beta1
1.0.0-beta2
1.0.0-beta3
1.0.0-beta4
1.0.0

2.*

2.0.0-beta1
2.0.0-beta2
2.0.0

3.*

3.0.0-beta1
3.0.0-beta2
3.0.0

4.*

4.0.0-beta1
4.0.0

5.*

5.0.0

6.*

6.0.1

7.*

7.0.0

8.*

8.0.0-alpha1
8.0.0
8.0.2

9.*

9.0.0
9.0.1
9.0.2
9.0.3

10.*

10.0.0
10.0.1
10.0.2

11.*

11.0.0